commit:     c67f7da3514312d8ad3ca50b4288b53ad6bf792b
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 15 01:59:43 2020 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 21:53:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c67f7da3

virtual/perl-threads: Remove old

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 virtual/perl-threads/perl-threads-2.220.0-r1.ebuild       | 15 ---------------
 ...eads-2.150.0.ebuild => perl-threads-2.220.0-r2.ebuild} |  6 +++---
 virtual/perl-threads/perl-threads-2.70.0-r1.ebuild        | 15 ---------------
 3 files changed, 3 insertions(+), 33 deletions(-)

diff --git a/virtual/perl-threads/perl-threads-2.220.0-r1.ebuild 
b/virtual/perl-threads/perl-threads-2.220.0-r1.ebuild
deleted file mode 100644
index a327d4355ab..00000000000
--- a/virtual/perl-threads/perl-threads-2.220.0-r1.ebuild
+++ /dev/null
@@ -1,15 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Virtual for ${PN#perl-}"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ia64 m68k ppc ppc64 s390 sh sparc x86 
~x64-cygwin"
-
-RDEPEND="
-       || ( =dev-lang/perl-5.30*[ithreads] =dev-lang/perl-5.28*[ithreads] 
~perl-core/${PN#perl-}-${PV} )
-       dev-lang/perl:=
-       !<perl-core/${PN#perl-}-${PV}
-       !>perl-core/${PN#perl-}-${PV}-r999
-"

diff --git a/virtual/perl-threads/perl-threads-2.150.0.ebuild 
b/virtual/perl-threads/perl-threads-2.220.0-r2.ebuild
similarity index 73%
rename from virtual/perl-threads/perl-threads-2.150.0.ebuild
rename to virtual/perl-threads/perl-threads-2.220.0-r2.ebuild
index b0a55d734db..556f208bdaf 100644
--- a/virtual/perl-threads/perl-threads-2.150.0.ebuild
+++ b/virtual/perl-threads/perl-threads-2.220.0-r2.ebuild
@@ -1,14 +1,14 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 DESCRIPTION="Virtual for ${PN#perl-}"
 SLOT="0"
 KEYWORDS="~alpha amd64 arm arm64 hppa ia64 m68k ppc ppc64 s390 sh sparc x86 
~x64-cygwin"
 
 RDEPEND="
-       || ( =dev-lang/perl-5.26*[ithreads] ~perl-core/${PN#perl-}-${PV} )
+       || ( =dev-lang/perl-5.30*[ithreads] ~perl-core/${PN#perl-}-${PV} )
        dev-lang/perl:=
        !<perl-core/${PN#perl-}-${PV}
        !>perl-core/${PN#perl-}-${PV}-r999

diff --git a/virtual/perl-threads/perl-threads-2.70.0-r1.ebuild 
b/virtual/perl-threads/perl-threads-2.70.0-r1.ebuild
deleted file mode 100644
index a4137b2f12f..00000000000
--- a/virtual/perl-threads/perl-threads-2.70.0-r1.ebuild
+++ /dev/null
@@ -1,15 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Virtual for ${PN#perl-}"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86 ~x64-cygwin"
-
-RDEPEND="
-       || ( =dev-lang/perl-5.24*[ithreads] ~perl-core/${PN#perl-}-${PV} )
-       dev-lang/perl:=
-       !<perl-core/${PN#perl-}-${PV}
-       !>perl-core/${PN#perl-}-${PV}-r999
-"

Reply via email to